parse-server 와 PostgreSQL 에서 contains 쿼리 사용시 에러 해결 (한글, 외국어)


(Jeff Kang) #1

parse-server, PostgreSQL 환경에서

contains 쿼리 사용시

error: invalid regular expression: invalid escape \ sequence

관련 에러가 발생하였습니다.

해당 이슈가 올라가 있었고 https://github.com/parse-community/parse-server/issues/5293
위 해결법을 적용하여 개인 레파지토리에 릴리즈용 버전을 사용중입니다.

필요하신분은

yarn add git://github.com/JeffGuKang/parse-server.git#3.2.3-jeffgukang-release
npm install git://github.com/JeffGuKang/parse-server.git#3.2.3-jeffgukang-release --save

통해 사용하실 수 있습니다.